/*
* ==============================================================================
*  Name        : S60InternetRadioApp.h
*  Part of     : S60 Internet Radio Application
*  Interface   :
*  Description : Defines the S60 Internet Radio Application UI class required by
*                AVKON applications.
*  Version     : 1
*
*  Copyright (c) 2006, Nokia Corporation All rights reserved. Redistribution
*  and use in source and binary forms, with or without modification, are
*  permitted provided that the following conditions are met: Redistributions
*  of source code must retain the above copyright notice, this list of
*  conditions and the following disclaimer. Redistributions in binary form
*  must reproduce the above copyright notice, this list of conditions and the
*  following disclaimer in the documentation and/or other materials provided
*  with the distribution. Neither the name of the Nokia Corporation nor the
*  names of its contributors may be used to endorse or promote products
*  derived from this software without specific prior written permission. THIS
*  SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
*  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
*  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
*  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
*  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
*  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
*  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
*  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
*  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
*  POSSIBILITY OF SUCH DAMAGE.
* ==============================================================================
*/
#ifndef __S60INTERNETRADIOAPP_H__
#define __S60INTERNETRADIOAPP_H__

// INCLUDE FILES
#include <aknapp.h>

// CLASS DECLARATION

/**
*
*  An instance of CS60InternetRadioApplication is the application part of the AVKON
*  application framework for the OSS Player application
*
*/

class CS60InternetRadioApplication : public CAknApplication
    {
	public: // from CAknApplication

        /**
        * Get the application DLL UID value
        * @return the UID of this Application/Dll
		*/

		TUid AppDllUid() const;

	protected: // from CAknApplication

        /**
        * Create a CApaDocument object
        * @return a pointer to the created document instance
		*/

		CApaDocument* CreateDocumentL();
    };

#endif // __S60INTERNETRADIOAPP_H__

// End of File
