/*
* ==============================================================================
*  Name        : S60InternetRadioApp.cpp
*  Part of     : S60 Internet Radio Application
*  Interface   :
*  Description : Implementation of the S60 Internet Radio application class
*  Version     : 1
*
*  Copyright (c) 2006, Nokia Corporation All rights reserved. Redistribution
*  and use in source and binary forms, with or without modification, are
*  permitted provided that the following conditions are met: Redistributions
*  of source code must retain the above copyright notice, this list of
*  conditions and the following disclaimer. Redistributions in binary form
*  must reproduce the above copyright notice, this list of conditions and the
*  following disclaimer in the documentation and/or other materials provided
*  with the distribution. Neither the name of the Nokia Corporation nor the
*  names of its contributors may be used to endorse or promote products
*  derived from this software without specific prior written permission. THIS
*  SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
*  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
*  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
*  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
*  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
*  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
*  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
*  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
*  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
*  POSSIBILITY OF SUCH DAMAGE.
* ==============================================================================
*/
#include "S60InternetRadioApp.h"
#include "S60InternetRadioDoc.h"

// UID for the application; this should correspond to the uid defined in the mmp file
const TUid KUidS60InternetRadioApp = { 0x00005BC6 };

// -----------------------------------------------------------------------------
// CS60InternetRadioApplication::AppDllUid
// Return the UID for the CS60InternetRadioApplication application
// -----------------------------------------------------------------------------
//
TUid CS60InternetRadioApplication::AppDllUid() const
    {
    return KUidS60InternetRadioApp;
    }


// -----------------------------------------------------------------------------
// CS60InternetRadioApplication::CreateDocumentL
// Create an CS60InternetRadioDocument document, and return a pointer to it
// -----------------------------------------------------------------------------
//
CApaDocument* CS60InternetRadioApplication::CreateDocumentL()
    {
    return CS60InternetRadioDocument::NewL(*this);
    }




// End of File
